%define module	Apache-SSI
%define version	2.16
%define release	1mdk

Packager:	Jean-Michel Dault <jmdault@mandrakesoft.com>
Summary:	%{module} module for perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl >= 5.600, perl-HTML-SimpleParse, apache-mod_perl
BuildRequires:	perl-HTML-SimpleParse, apache-mod_perl
BuildArch:	noarch

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version}

%build
APACHE=%{_sbindir}/httpd-perl CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL <<EOF


EOF
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%files
%defattr(-,root,root)
%doc README Changes
%dir %{_libdir}/perl5/site_perl/*/Apache
%{_libdir}/perl5/site_perl/*/Apache/*
%{_libdir}/perl5/man/man*/*

%changelog
* Fri Aug 31 2001 Franois Pons <fpons@mandrakesoft.com> 2.16-1mdk
- 2.16.
- removed filelist, now use globing directly and macros.
- updated license.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.13-5mdk
- Rebuild this against perl 5.6.1.
- Remove Vendor and distribution tag.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.13-4mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean spec a bit

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.13-3mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.13-2mdk
- added BuildPrereq

* Tue Jul 18 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.13-1mdk
- Macroize package

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 2.11-1mdk
-updated to 2.11

* Wed Jan 19 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.09

* Mon Sep 06 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- fixed dependancies

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- bzip2'd sources
- updated to 2.07

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated. 
